ros-noetic-moveit-ros-planning-interface (1.1.13-2focal) focal; urgency=high

  * Add unittest for #3467 <https://github.com/ros-planning/moveit/issues/3467> (#3470 <https://github.com/ros-planning/moveit/issues/3470>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.12-2focal) focal; urgency=high

  * Generalize RobotState::setFromIK() (https://github.com/ros-planning/moveit/issues/3388 <https://github.com/ros-planning/moveit/issues/3388>)
  * Allow configuration of goal tolerances in kinematics.yaml (#3409 <https://github.com/ros-planning/moveit/issues/3409>)
  * Rename MGI::getJointNames() to getVariableNames() (#3345 <https://github.com/ros-planning/moveit/issues/3345>)
  * Contributors: Erich Mielke, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.11-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.10-2focal) focal; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * Generalize computeCartesianPath() to consider a link_offset (#3197 <https://github.com/ros-planning/moveit/issues/3197>)
  * Validate JointState argument to moveit_commander.set_joint_value_target (#3187 <https://github.com/ros-planning/moveit/issues/3187>)
  * Add dual arm test (#3119 <https://github.com/ros-planning/moveit/issues/3119>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Filip Sund, Michael Görner, Robert Haschke, Stephanie Eng, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.9-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.8-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.7-2focal) focal; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Fix uninitialized ``RobotState`` in ``MoveGroupInterface`` (#3008 <https://github.com/ros-planning/moveit/issues/3008>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Captain Yoshi, Jafar Abdi, Jochen Sprickerhof

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.6-2focal) focal; urgency=high

  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Add missing replan/look options to interface (#2892 <https://github.com/ros-planning/moveit/issues/2892>)
  * PSI: get object.pose from new msg field (#2877 <https://github.com/ros-planning/moveit/issues/2877>)
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix trajectory constraints for ``moveit_commander`` (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * ``MGI::setStartState``: Only fetch current state when new state is diff (#2775 <https://github.com/ros-planning/moveit/issues/2775>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Gauthier Hentz, Kevin Chang, Michael Görner, Robert Haschke, pvanlaar

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.5-2focal) focal; urgency=high

  * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.4-2focal) focal; urgency=high

  * planning_interface: synchronize async interfaces in unit tests (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.3-2focal) focal; urgency=high

  * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
  * Fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
  * Contributors: Felix von Drigalski, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.2-2focal) focal; urgency=high

  * Fix formatting errors
  * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)
  * Move moveit_cpp to moveit_ros_planning
  * Add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Add debugging log statement for a common error (#2509 <https://github.com/ros-planning/moveit/issues/2509>)
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Improve robustness of subframes test (#2488 <https://github.com/ros-planning/moveit/issues/2488>)
  * Improve robustness of move group interface test (#2484 <https://github.com/ros-planning/moveit/issues/2484>)
  * Fix scaling factor parameter names (#2452 <https://github.com/ros-planning/moveit/issues/2452>)
  * Python interface improvements. Fix #1966 <https://github.com/ros-planning/moveit/issues/1966>, add enforceBounds (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * Unit Test for ByteString-based ROS msg conversion (#2362 <https://github.com/ros-planning/moveit/issues/2362>)
  * Contributors: Bjar Ne, Boston Cleek, Henning Kayser, Peter Mitrano, Shota Aoki, Tyler Weaver, petkovich

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.1-2focal) focal; urgency=high

  * [feature] moveit_cpp: more informative error message, cover another potential failure condition. (#2336 <https://github.com/ros-planning/moveit/issues/2336>)
  * [fix] Make GILReleaser exception-safe (#2363 <https://github.com/ros-planning/moveit/issues/2363>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * [maint] Replace panda_moveit_config -> moveit_resources_panda_moveit_config (#2300 <https://github.com/ros-planning/moveit/issues/2300>)
  * Contributors: AndyZe, Bjar Ne, Felix von Drigalski, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.0-2focal) focal; urgency=high

  * [feature] Use Eigen::Transform::linear() instead of rotation() (#1964 <https://github.com/ros-planning/moveit/issues/1964>)
  * [feature] move_group pick place test (#2031 <https://github.com/ros-planning/moveit/issues/2031>)
  * [feature] Check for grasp service - general cleanup MGI (#2077 <https://github.com/ros-planning/moveit/issues/2077>)
  * [feature] Integration test to defend subframe tutorial (#1757 <https://github.com/ros-planning/moveit/issues/1757>)
  * [feature] Release Python GIL for C++ calls (#1947 <https://github.com/ros-planning/moveit/issues/1947>)
  * [feature] Add default velocity/acceleration scaling factors (#1890 <https://github.com/ros-planning/moveit/issues/1890>)
  * [feature] Improve move_group_interface's const correctness (#1715 <https://github.com/ros-planning/moveit/issues/1715>)
  * [feature] Add get_jacobian_matrix to moveit_commander (#1501 <https://github.com/ros-planning/moveit/issues/1501>)
  * [feature] Add named frames to CollisionObjects (#1439 <https://github.com/ros-planning/moveit/issues/1439>)
  * [feature] Added GILRelease to pick and place (#2272 <https://github.com/ros-planning/moveit/issues/2272>)
  * [feature] Add missing variants of place from list of PlaceLocations and Poses in the python interface (#2231 <https://github.com/ros-planning/moveit/issues/2231>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Resolve PSI lock-up in RViz display (#1951 <https://github.com/ros-planning/moveit/issues/1951>)
  * [fix] Fix flaky moveit_cpp test (#1781 <https://github.com/ros-planning/moveit/issues/1781>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Fix a parameter mix-up in moveit_cpp loading (#2187 <https://github.com/ros-planning/moveit/issues/2187>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] update dependencies for python3 in noetic (#2131 <https://github.com/ros-planning/moveit/issues/2131>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1586 <https://github.com/ros-planning/moveit/issues/1586>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Fix some clang tidy issues (#2004 <https://github.com/ros-planning/moveit/issues/2004>)
  * [maint] export  moveit_py_bindings_tools library (#1970 <https://github.com/ros-planning/moveit/issues/1970>)
  * [maint] Fix usage of panda_moveit_config (#1904 <https://github.com/ros-planning/moveit/issues/1904>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix typo in cmake file (#1857 <https://github.com/ros-planning/moveit/issues/1857>)
  * [maint] Reduce console output warnings (#1845 <https://github.com/ros-planning/moveit/issues/1845>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * [maint] improve [get|set]JointValueTarget in python wrapper (#858 <https://github.com/ros-planning/moveit/issues/858>)
  * [maint] moveit_commander.MoveGroupInterface.plan() to better align with C++ MoveGroup::plan() (#790 <https://github.com/ros-planning/moveit/issues/790>)
  * Contributors: AndyZe, Ayush Garg, Bence Magyar, Bjar Ne, Dave Coleman, Felix von Drigalski, Gerard Canal, Guilhem Saurel, Henning Kayser, Jafar Abdi, JafarAbdi, Jere Liukkonen, Jonathan Binney, Kunal Tyagi, Luca Rinelli, Mahmoud Ahmed Selim, Markus Vieth, Martin Pecka, Masaki Murooka, Michael Ferguson, Michael Görner, Niklas Fiedler, Robert Haschke, Ryosuke Tajima, Sean Yen, Tyler Weaver, Yeshwanth, Yu, Yan, mvieth, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.0.6-2focal) focal; urgency=high

  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10, Fix warnings
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [feature] Exposed parameter wait_for_servers and getPlannerId() API in MoveGroup's Python API (#2201 <https://github.com/ros-planning/moveit/issues/2201>)
  * Contributors: Gerard Canal, Markus Vieth, Robert Haschke, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.0.5-2focal) focal; urgency=high

  * [maint]   Remove dependency on panda_moveit_config (#2194 <https://github.com/ros-planning/moveit/issues/2194>`_, #2197 <https://github.com/ros-planning/moveit/issues/2197>`_)
  * [maint]   Adapt linking to eigenpy (#2118 <https://github.com/ros-planning/moveit/issues/2118>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [feature] PlanningComponent: Load plan_request_params (#2033 <https://github.com/ros-planning/moveit/issues/2033>)
  * [feature] MoveItCpp: a high-level C++ planning API (#1656 <https://github.com/ros-planning/moveit/issues/1656>)
  * [fix]     Validate action client pointer before access
  * [fix]     Wait and check for the grasp service
  * [maint]   Add tests for move_group interface (#1995 <https://github.com/ros-planning/moveit/issues/1995>)
  * Contributors: AndyZe, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Tyler Weaver, Yeshwanth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.0.4-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.0.3-2focal) focal; urgency=high

  * [feature] MoveGroupInterface: Add execution methods for moveit_msgs::RobotTrajectory (#1955 <https://github.com/ros-planning/moveit/issues/1955>)
  * [feature] Allow to instantiate a PlanningSceneInterface w/ and w/o a running move_group node
  * [fix]     Release Python GIL for C++ calls (#1947 <https://github.com/ros-planning/moveit/issues/1947>)
  * [feature] Expose reference_point_position parameter in getJacobian() (#1595 <https://github.com/ros-planning/moveit/issues/1595>)
  * [feature] MoveGroupInterface: Expose constructPickGoal and constructPlaceGoal (#1498 <https://github.com/ros-planning/moveit/issues/1498>)
  * [feature] python MoveGroupInterface: Added custom time limit for wait_for_servers() (#1444 <https://github.com/ros-planning/moveit/issues/1444>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [feature] Export moveit_py_bindings_tools library
  * [maint]   Fix various build issues on Windows
    * Use .pyd as the output suffix for Python module on Windows. (#1637 <https://github.com/ros-planning/moveit/issues/1637>)
    * Favor ros::Duration.sleep over sleep. (#1634 <https://github.com/ros-planning/moveit/issues/1634>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint]   Updated deprecation method: MOVEIT_DEPRECATED -> [[deprecated]] (#1748 <https://github.com/ros-planning/moveit/issues/1748>)
  * [maint]   eigenpy: switched to system package (#1737 <https://github.com/ros-planning/moveit/issues/1737>)
  * [featue]  PlanningSceneInterface: wait for its two services
  * [feature] Select time parametrization algorithm in retime_trajectory (#1508 <https://github.com/ros-planning/moveit/issues/1508>)
  * Contributors: Bjar Ne, Felix von Drigalski, Kunal Tyagi, Luca Rinelli, Masaki Murooka, Michael Görner, Niklas Fiedler, Robert Haschke, Sean Yen, Yu, Yan, mvieth, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.0.2-2focal) focal; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)
  * Contributors: Mahmoud Ahmed Selim

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.0.1-2focal) focal; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.0.0-2focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.10.8-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.10.7-2focal) focal; urgency=high

  * [fix] Fixed destruction order of shared tf2::Buffer / tf2::TransformListener (#1261 <https://github.com/ros-planning/moveit/pull/1261>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.10.6-2focal) focal; urgency=high

  * [fix] Fixed various memory leaks (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
    * SharedStorage: Use weak_ptrs for caching
  * [enhancement] Add getMoveGroupClient() to move_group_interface (#1215 <https://github.com/ros-planning/moveit/issues/1215>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Remove deprecated MoveGroup class (#1211 <https://github.com/ros-planning/moveit/issues/1211>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Code Cleanup
    * #1179 <https://github.com/ros-planning/moveit/issues/1179>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Alex Moriarty, Dave Coleman, Martin Günther, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.10.5-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 31 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.10.4-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.10.3-2focal) focal; urgency=high

  * [capability] Get available planning group names from MoveGroup C++ (#1159 <https://github.com/ros-planning/moveit/issues/1159>)
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.10.2-2focal) focal; urgency=high

  * [capability] Added plan_only flags to pick and place (#862 <https://github.com/ros-planning/moveit/issues/862>)
  * [maintenance] Python3 support (#1103 <https://github.com/ros-planning/moveit/issues/1103>, #1054 <https://github.com/ros-planning/moveit/issues/1054>)
  * [fix] optional namespace args (#929 <https://github.com/ros-planning/moveit/issues/929>)
  * Contributors: David Watkins, Michael Görner, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.10.1-2focal) focal; urgency=high

  * [maintenance] Remove deprecated ExecuteTrajectoryServiceCapability (#833 <https://github.com/ros-planning/moveit/issues/833>)
  * [maintenance] migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [maintenance] switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * [capability] namespace to moveit_commander (#835 <https://github.com/ros-planning/moveit/issues/835>)
  * Constrained Cartesian planning using moveit commander (#805 <https://github.com/ros-planning/moveit/issues/805>)
  * Simplify adding CollisionObjects with colors (#810 <https://github.com/ros-planning/moveit/issues/810>)
  * support TrajectoryConstraints in MoveGroupInterface + MoveitCommander (#793 <https://github.com/ros-planning/moveit/issues/793>)
  * Add API to get planner_id (#788 <https://github.com/ros-planning/moveit/issues/788>)
  * Allow wait time to be specified for getCurrentState() (#685 <https://github.com/ros-planning/moveit/issues/685>)
  * Contributors: 2scholz, Akiyoshi Ochiai, Bence Magyar, Dave Coleman, Ian McMahon, Robert Haschke, Will Baker, Xiaojian Ma, srsidd

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.11-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.10-2focal) focal; urgency=high

  * [fix] MoveGroupInterface: Fixed computeCartesianPath to use selected end-effector. (#580 <https://github.com/ros-planning/moveit/issues/580>)
  * [capability][kinetic onward] Adapt pick pipeline to function without object (#599 <https://github.com/ros-planning/moveit/issues/599>)
  * [improve] Disabled copy constructors and added a move constructor to MoveGroupInterface (#664 <https://github.com/ros-planning/moveit/issues/664>)
  * Contributors: 2scholz, Dennis Hartmann, Jonathan Meyer, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.9-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.8-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.7-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.6-2focal) focal; urgency=high

  * [improve] MoveGroupInterface: add public interface to construct the MotionPlanRequest (#461 <https://github.com/ros-planning/moveit/issues/461>)
  * Contributors: Michael Goerner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.5-2focal) focal; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * [enhancement][MoveGroup] Add getLinkNames function (#440 <https://github.com/ros-planning/moveit/issues/440>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.4-2focal) focal; urgency=high

  * [fix] move_group.cpp: seg fault bug (#426 <https://github.com/ros-planning/moveit/issues/426>)
  * [fix] mgi: show correct include path in doxygen (#419 <https://github.com/ros-planning/moveit/issues/419>)
  * [fix] fix race conditions when updating PlanningScene (#350 <https://github.com/ros-planning/moveit/issues/350>)
  * [fix] issue #373 <https://github.com/ros-planning/moveit/issues/373> for Kinetic (#377 <https://github.com/ros-planning/moveit/issues/377>) (#385 <https://github.com/ros-planning/moveit/issues/385>)
  * [capability] PSI: add apply* functions that use ApplyPlanningScene.srv (#381 <https://github.com/ros-planning/moveit/issues/381>)
  * [maintenance] Fix test file issues (#415 <https://github.com/ros-planning/moveit/pull/415>, #412 <https://github.com/ros-planning/moveit/issues/412>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Bastian Gaspers, Dave Coleman, Isaac I.Y. Saito, Jorge Santos Simon, Michael Goerner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.9.3-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.6.6-2focal) focal; urgency=high

  * replaced cmake_modules dependency with eigen
  * [jade] eigen3 adjustment
  * merge indigo-devel changes (PR #633 <https://github.com/ros-planning/moveit_ros/issues/633> trailing whitespace) into jade-devel
  * Removed trailing whitespace from entire repository
  * planning_interface::MoveGroup::get/setPlannerParams
  * new method MoveGroup::getDefaultPlannerId(const std::string &group)
    ... to retrieve default planner config from param server
    moved corresponding code from rviz plugin to MoveGroup interface
    to facilitate re-use
  * fixing conflicts, renaming variable
  * Merge pull request #589 <https://github.com/ros-planning/moveit_ros/issues/589> from MichaelStevens/set_num_planning_attempts
    adding set_num_planning_attempts to python interface
  * comments addressed
  * Added python wrapper for setMaxVelocityScalingFactor
  * saves robot name to db from moveit. also robot name accessible through robot interface python wrapper
  * adding set_num_planning_attempts to python interface
  * Merge pull request #571 <https://github.com/ros-planning/moveit_ros/issues/571> from ymollard/indigo-devel
    Added python wrapper for MoveGroup.asyncExecute()
  * Added python wrapper for MoveGroup.asyncExecute()
  * Add retime_trajectory to moveit python wrapper
  * add getHandle to move_group_interface
  * Updated documentation on move() to inform the user that an asynchronus spinner is required. Commonly new users don't do this and move() blocks permanently
  * Contributors: Dave Coleman, Dave Hershberger, Isaac I.Y. Saito, Kei Okada, Michael Stevens, Robert Haschke, Sachin Chitta, Scott, Yoan Mollard, dg, ferherranz

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.6.5-2focal) focal; urgency=high

  * update maintainers
  * Add time factor support for iterative_time_parametrization
  * Contributors: Michael Ferguson, kohlbrecher

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 23 Jan 2015 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.6.4-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 19 Dec 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.6.3-2focal) focal; urgency=high

  * include correct ``boost::*_ptr`` class for boost 1.57.
  * Contributors: v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.6.2-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.6.1-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.6.0-2focal) focal; urgency=high

  * Add missing variants of place (PlaceLocation, place anywhere) for python interface
  * Python wrapper for getEndEffectorTips()
  * Contributors: Dave Coleman, Sachin Chitta, corot

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.19-2focal) focal; urgency=high

  * Add check for planning scene monitor connection, with 5 sec delay
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 22 Jun 2014 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.18-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 Mar 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.17-2focal) focal; urgency=high

  * update build system for ROS indigo
  * added move_group python interface bindings to move group interface
    function:
    void setPathConstraints(const moveit_msgs::Constraint &constraint)
    in order to be able to set path constraints from python scripts
    directly and no need to use the DB.
  * Use member NodeHandle in action clients.
    Currently services and topics are already using the member NodeHandle instance,
    but not the action clients.
    This is relevant for two reasons:
    - Consistency in the resulting ROS API namespace (everything in the same namespace).
    - Consistency in the spinning policy. All services, topics and actions will be spinned
    by the same NodeHandle, and whatever custom (or not) spinners and callback queues it
    has associated.
  * adding error code returns to relevant functions
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Emili Boronat, Ioan A Sucan, Sachin Chitta

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 21 Mar 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.16-2focal) focal; urgency=high

  * adding node handle to options in move_group_interface
  * adding get for active joints
  * Contributors: Sachin Chitta

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 26 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.14-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.13-2focal) focal; urgency=high

  * add API for setting the number of motion plans to be evaluated via the MoveGroupInterface
  * move_group_interface: improve documentation
  * Contributors: Acorn Pooley, Ioan Sucan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.12-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.11-2focal) focal; urgency=high

  * Fixed bug in computeCartesianPathPython.
  * Adding collision object interface to planning_scene interface.
  * Contributors: Acorn Pooley, Sachin Chitta

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.10-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 07 Dec 2013 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.9-2focal) focal; urgency=high

  * Fixed doxygen function-grouping.
  * Added planning feedback to gui, refactored states tab

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 02 Dec 2013 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.8-2focal) focal; urgency=high

  * add function to start state monitor in move_group_interface::MoveGroup

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 10 Oct 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.7-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 30 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.6-2focal) focal; urgency=high

  * update planning options

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 25 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.5-2focal) focal; urgency=high

  * add support for setting joint targets from approximate IK
  * specifies python version 2.7 for linking (fixes #302 <https://github.com/ros-planning/moveit_ros/issues/302>)
  * use new messages for pick & place
  * expand functionality of MoveGroupInterface
  * porting to new RobotState API

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 22 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.4-2focal) focal; urgency=high

  * make pick more general
  * use message serialization for python bindings
  * remove CollisionMap, expose topic names in PlanningSceneMonitor, implement detach / attach operations as requested by #280 <https://github.com/ros-planning/moveit_ros/issues/280>
  * make headers and author definitions aligned the same way; white space fixes

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Aug 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.2-2focal) focal; urgency=high

  * move msgs to common_msgs

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 14 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.1-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.5.0-2focal) focal; urgency=high

  * white space fixes (tabs are now spaces)

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 11 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.4.5-2focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (0.4.4-2focal) focal; urgency=high

  * some refactoring

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 25 Jun 2013 22:00:00 -0000


